org.thewonderlemming.c4plantuml.graphml.validation

## Enum GraphMLXsd

- java.lang.Object
- - java.lang.Enum<GraphMLXsd>
  - - org.thewonderlemming.c4plantuml.graphml.validation.GraphMLXsd

- All Implemented Interfaces:
    Serializable, Comparable<GraphMLXsd>

      public enum GraphMLXsd
      extends Enum<GraphMLXsd>

  This enumeration maps XML namespaces to their system ID and a local resource that contains the XSD - the purpose being to avoid having external calls to retrieve these XSDs.
  Author:
    thewonderlemming

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ATTRIBUTES` An XSD that extends the GraphML format to redefine its attributes.
    `GRAPHML` An XSD that defines the basics of the GraphML format.
    `PARSE_INFO` An XSD that extends the GraphML format to redefine its parse information.
    `STRUCTURE` An XSD that extends the GraphML format to redefine its structure.
    `XLINK` An XSD that defines attributes that can be used to create hyperlinks.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getNamespaceURI()` Returns the current XSD namespace URI.
    `String` | `getResourceFilename()` Returns the current XSD filename.
    `String` | `getSystemId()` Returns the current XML system ID.
    `static Optional<GraphMLXsd>` | `resolveXsd(String systemId, String namespaceURI)` Looks for an XSD value that matches the given `systemId` and `namespaceURI` and returns it as an `Optional`.
    `static GraphMLXsd` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GraphMLXsd[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ATTRIBUTES

          public static final GraphMLXsd ATTRIBUTES

      An XSD that extends the GraphML format to redefine its attributes.

    - #### GRAPHML

          public static final GraphMLXsd GRAPHML

      An XSD that defines the basics of the GraphML format.

    - #### PARSE_INFO

          public static final GraphMLXsd PARSE_INFO

      An XSD that extends the GraphML format to redefine its parse information.

    - #### STRUCTURE

          public static final GraphMLXsd STRUCTURE

      An XSD that extends the GraphML format to redefine its structure.

    - #### XLINK

          public static final GraphMLXsd XLINK

      An XSD that defines attributes that can be used to create hyperlinks.

  - ### Method Detail

    - #### values

          public static GraphMLXsd[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GraphMLXsd c : GraphMLXsd.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GraphMLXsd valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### resolveXsd

          public static Optional<GraphMLXsd> resolveXsd(String systemId,
                                                        String namespaceURI)

      Looks for an XSD value that matches the given `systemId` and `namespaceURI` and returns it as an `Optional`.
      Parameters:
        `systemId` - the expected XSD system ID.
        `namespaceURI` - the expected XSD namespace URI.
      Returns:
        an `Optional` of `GraphMLXsd` or empty if no match were to be found.

    - #### getNamespaceURI

          public String getNamespaceURI()

      Returns the current XSD namespace URI.
      Returns:
        the XSD namespace URI.

    - #### getResourceFilename

          public String getResourceFilename()

      Returns the current XSD filename.
      Returns:
        the XSD filename.

    - #### getSystemId

          public String getSystemId()

      Returns the current XML system ID.
      Returns:
        the XSD system ID.

Copyright © 2020. All rights reserved.